Subject: bug#65924: git searches coreutils and util-linux commands in PATH

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 09 Oct 2023 10:21:33 -0400

Hi Liliana :-)

Liliana Marie Prikler <[email-masked]> writes:

> Am Samstag, dem 07.10.2023 um 23:18 -0400 schrieb Maxim Cournoyer:
>> It's simpler to add features on top of a minimal variant than to
>> remove them, and helps avoiding mistakenly changing git-minimal,
>> which has many dependents.
>> 
>> * gnu/packages/version-control.scm (git-minimal): Move above git and
>> severe inheritance.  Remove input label.  Repatriate most fields
>> from...
>> (git): ... here.  Define as package/inherit to inherit from git-
>> minimal.
>> Extend minimal values instead of overriding them whole.
>> ---
> Having done the same to Emacs recently, I fully agree with this move.

Great; does this mean a LGTM on your side for this one?  Please be
explicit :-).

-- 
Thanks,
Maxim